<?
ini_set('error_reporting', 1);
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = 'index.php';
		</script>
		<? 
		exit();
		}

		
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");

?>

<script language="JavaScript" src="../css/cal.js" type="text/JavaScript"></script>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<title>Facturar Nota Venta Lote SII</title>
</head>
<form id="form1" name="form1" method="post" action="">
<?
$notas=0;
$txtndcto=22;   //  ojo solo prueba ****
$numero_notas=$_POST["cant"];  // ********* cantidad total notas 
$s=0;
while ($notas<$numero_notas)     // ciclo por todas 
  {
 if ($sel[$notas]=='True')
  {$s=1;}
  $notas+=1;
 }
if ($s==0)
 {
    ?>
		<script>
		alert ("No existe Seleccion");
		window.top.open('','_parent','');window.top.close();
	
		</script>
	<? 

 }
 $notas=0;
while ($notas<$numero_notas)     // ciclo por todas 
  {
 
if ($sel[$notas]=='True')

  {
  
//********************* Sacar Datos Nota Venta ******************************************/		
$sql_nv = "SELECT * FROM salida WHERE id = $id_nota[$notas]";
$res_nv= mysql_query($sql_nv,$enlace);
$nv_cont = 0;
$sqlnv_ivar='';
$txtnumoc='';
while ( mysql_fetch_object($res_nv))
	{
	$id_nota_venta=mysql_result($res_nv, $nv_cont, "id");
	$sqlnv_id_sucursal=mysql_result($res_nv, $nv_cont, "id_sucursal");
	$sqlnv_fecha=mysql_result($res_nv, $nv_cont, "fecha_emision");
	$sqlnv_fecha_ve=mysql_result($res_nv, $nv_cont, "fecha_vencimiento");
	$sqlnv_rut=mysql_result($res_nv, $nv_cont, "rut_cliente");
	$sqlnv_td=mysql_result($res_nv, $nv_cont, "tipo_dcto");
	$sqlnv_nv=mysql_result($res_nv, $nv_cont, "num_dcto");
	$txtnumoc = mysql_result($res_nv, $nv_cont, "orden_compra");
	$lstpago=3;  //mysql_result($res_nv, $nv_cont, "tipo_pago"); $lstpago=3;     // todas las facturas pasan a credito.
	$id_vendedor=mysql_result($res_nv, $nv_cont, "vendedor");
	$id_bodega=mysql_result($res_nv, $nv_cont, "bodega");
	$id_zona=mysql_result($res_nv, $nv_cont, "zona");
	$descuento=intval(mysql_result($res_nv, $nv_cont, "descuento"));
	$neto=intval(mysql_result($res_nv, $nv_cont, "neto"));
	
	
	if ($descuento!=0 && $neto!=0) $por_descuento=intval (10000*$descuento/($neto+$descuento))/100; else $por_descuento=0;
	
	$iva=intval(mysql_result($res_nv, $nv_cont, "iva"));

	$total=intval(mysql_result($res_nv, $nv_cont, "total"));
	$sqlnv_ivar=intval(mysql_result($res_nv, $nv_cont, "iva_retenido"));
	$control=mysql_result($res_nv, $nv_cont, "documento_control");
	$despachar=mysql_result($res_nv, $nv_cont, "despachar");
	}
if ($control==0 || $control==null)
  {
	$sqlnv_descuento=0;
	$observaciones='Nota Venta '.$sqlnv_nv;
	$res_ven = mysql_query("SELECT * FROM vendedor WHERE id=$id_vendedor",$enlace);
	if(mysql_fetch_object($res_ven)) $vendedor = mysql_result($res_ven, 0, "nombres");
    $res_ven = mysql_query("SELECT * FROM tipo_pago WHERE id=$lstpago",$enlace);
	if(mysql_fetch_object($res_ven)) $pago = mysql_result($res_ven, 0, "descripcion");
	//$pago='Contado';
	$res_ven = mysql_query("SELECT * FROM zona WHERE id=$id_zona",$enlace);
	if(mysql_fetch_object($res_ven)) $zona = mysql_result($res_ven, 0, "descripcion");
	$res_ven = mysql_query("SELECT * FROM bodega WHERE id=$id_bodega",$enlace);
	if(mysql_fetch_object($res_ven)) $txtbodega = mysql_result($res_ven, 0, "descripcion");
	
	
	$res_cli = mysql_query("SELECT * FROM sucursales, nombres WHERE nombres.rut=sucursales.rut AND id=$sqlnv_id_sucursal",$enlace);
	if(mysql_fetch_object($res_cli)) 
		{
		$id_sucursal = mysql_result($res_cli, 0, "sucursales.id");
		$sucursal = mysql_result($res_cli, 0, "sucursales.sucursal");
		$txtrut = mysql_result($res_cli, 0, "sucursales.rut");
		$txtrsoc = mysql_result($res_cli, 0, "sucursales.razon_social");
		$txtactividad = mysql_result($res_cli, 0, "sucursales.rubro_giro");
		$txtfono = mysql_result($res_cli, 0, "sucursales.fono");		
		$id_region = mysql_result($res_cli, 0, "sucursales.region");
		$id_comuna = mysql_result($res_cli, 0, "sucursales.comuna");
		$txtciudad = mysql_result($res_cli, 0, "sucursales.ciudad");
		$txtdireccion = mysql_result($res_cli, 0, "sucursales.direccion");
		$txtmontocredito = mysql_result($res_cli, 0, "monto_credito");
		$txtdias_plazo = mysql_result($res_cli, 0, "nombres.dias_plazo");
		$id_condicion=mysql_result($res_cli, 0, "nombres.id_condicion");
		}
		$res_ven = mysql_query("SELECT * FROM comunas WHERE cod_comuna=$id_comuna",$enlace);
	    if(mysql_fetch_object($res_ven)) $comuna = mysql_result($res_ven, 0, "comuna");
    $condicion_pago ="Sin/Condicion";
	
	$res_ven = mysql_query("SELECT * FROM tipo_condicion_pago WHERE id=$id_condicion",$enlace);
	if(mysql_fetch_object($res_ven)) $condicion_pago = mysql_result($res_ven, 0, "descripcion");
	
  
			
	 $hora = date('H:i:s');
	$unixtime = time();
		$settime = $unixtime;
		$diaa = date("d",$settime);
		$mes = date("m",$settime);
		$anoa = date("Y",$settime); 
		
		
		//$diaa = substr ($sqlnv_fecha, 8, 2);  // fecha NV 
	    //$mes = substr ($sqlnv_fecha, 5, 2);
	    //$anoa = substr ($sqlnv_fecha, 0, 4); 
	
		
		$fecha= "$diaa/$mes/$anoa";    //  hoy de NV
		$fecha_emision ="$anoa/$mes/$diaa"; 
	
		
	  $unixtime = time();
		$settime = $unixtime  + ( 86400* $txtdias_plazo);
		$dia = date("d",$settime);
		$mes = date("m",$settime);
		$ano = date("Y",$settime); 
	
	$fecha_ve = "$dia/$mes/$ano";	// plazo
    $fecha_vence ="$ano/$mes/$dia"; 
	$tipodcto=33;
//********************************* Sacar numero factura *********************************************/
	$sql_ultima_bol = "SELECT * FROM tipo_dcto_num_bodega WHERE id_dcto =$tipodcto AND id_bodega=0 AND id_empresa = $id_empresa";	
	$res_ultima_bol = mysql_query($sql_ultima_bol,$enlace);
	
	$sql_num_bol=0;
	if(mysql_fetch_object($res_ultima_bol))	$sql_num_bol = mysql_result($res_ultima_bol,0 ,"correlativo");
	
	$sql_num_bol=40;   //// para prueba
	$txtndcto = $txtndcto + 1;
    
//var_dump($numero_notas); 
 /* **** grabo correlativo factura.*/
    $up_dcto = "UPDATE tipo_dcto_num_bodega SET correlativo = $txtndcto WHERE id_dcto =$tipodcto AND id_bodega=0 AND id_empresa = $id_empresa";
	$res_up_dcto = mysql_query($up_dcto,$enlace);
	
 // **** grabo  factura.
	$wsql = "INSERT INTO salida (empresa, rut_cliente, num_dcto, tipo_dcto, fecha_emision, fecha_vencimiento, tipo_pago, descuento, neto, iva, total, productos, iva_retenido, documento_control, usuario, bodega, vendedor, zona, id_sucursal, hora, orden_compra, observacion, id_tipo_condicion_pago) 
	VALUES ($id_empresa, '$txtrut', $txtndcto, $tipodcto, '$fecha_emision', '$fecha_vence', $lstpago, $descuento, $neto, $iva, $total, 1, 0, $id_nota_venta, $id_user, $id_bodega, $id_vendedor, $id_zona, $id_sucursal,'$hora', '$txtnumoc', '$observaciones', $id_condicion)";
	
	$consulta = mysql_query($wsql,$enlace);
	//++++++++++++++++++++++++++++ Sacar el ultimo
	$sql_ultimo = "SELECT id FROM salida WHERE id=last_insert_id()";
	$res_ultimo =  mysql_query($sql_ultimo, $enlace);		
	$sultimo_id = mysql_result($res_ultimo, 0, "id");
	
	
	$ssql = "UPDATE salida SET documento_control = $sultimo_id WHERE  id=$id_nota_venta";
	
	$consulta = mysql_query($ssql,$enlace);

	if ($lstpago==3)    // credito
		{
		
		$des = 'FE'.$txtndcto;
		$csql="INSERT INTO pago_cliente (empresa, rut, num_salida, fecha, descripcion, valor, tipo, usuario, sucursal) 
		VALUES ($id_empresa, '$txtrut', $sultimo_id, '$fecha_emision', '$des', $total, 'C', $id_user, $id_sucursal)";
		$con = mysql_query($csql,$enlace);
	
		}
	
//*****  fin graba cabeza.	
	
		
//*************  movimiento de productos para facturar 

$sql_pnv = "SELECT * FROM movimiento WHERE id_soe=$id_nota_venta";
$res_pnv= mysql_query($sql_pnv,$enlace);
$pnv_cont = 0;
$txtsubtotal=0;
$totalkilos=0;
$totalunidades=0;

while ( mysql_fetch_object($res_pnv))
	{
	$cod_producto[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "cod_producto");
	$cantidad[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "cantidad");
	$precio[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "precio_unitario");
	$desc[$pnv_cont]=mysql_result($res_pnv, $pnv_cont, "descuentos");
	$sub_total[$pnv_cont]=intval(mysql_result($res_pnv, $pnv_cont, "sub_total"));
	
	$txtsubtotal+=$ltotal[$pnv_cont];
	$sql_pro = "SELECT * FROM productos WHERE codigo=$cod_producto[$pnv_cont]";
    $res_pro= mysql_query($sql_pro,$enlace);
    $detalle[$pnv_cont]=mysql_result($res_pro, 0, "descripcion");
	$afecto[$pnv_cont]==mysql_result($res_pro, 0, "afecto");
	 $unidad_medida=mysql_result($res_pro, 0, "unidad_medida");
	$kilos=mysql_result($res_pro, 0, "peso");
	$totalkilos+=$kilos*$cantidad[$pnv_cont];
	$totalunidades+=$cantidad[$pnv_cont];
	$unidad[$pnv_cont] ='';	
	$res_ven = mysql_query("SELECT * FROM unidad_medida WHERE codigo=$unidad_medida",$enlace);
	if(mysql_fetch_object($res_ven)) $unidad[$pnv_cont] = mysql_result($res_ven, 0, "descripcion");
	
	
 //********** grabo movimiento ******
     $psql = "INSERT INTO movimiento (empresa, bodega, entrada_salida_traspaso, fecha, cod_producto, cantidad,   precio_unitario, descuentos, sub_total, rut, numero_dcto, tipo_dcto,  id_soe) 
				VALUES ($id_empresa, $id_bodega, 'S', '$fecha_emision', $cod_producto[$pnv_cont], $cantidad[$pnv_cont], $precio[$pnv_cont], $desc[$pnv_cont], $sub_total[$pnv_cont], '$txtrut', $txtndcto, $tipodcto, $sultimo_id)";
	$conx = mysql_query($psql,$enlace);

	$pnv_cont+=1;
	}

//=============  fin guardar

//========== XML  imprimir
/********************************** Datos Empresa ****************** seleccionar cual empresa  es el ingreso  en ssesion******/
	$sql_empresa = "SELECT * FROM empresa, comunas WHERE comunas.cod_comuna = empresa.comuna and id=$id_empresa;";
	$res_empresa = mysql_query($sql_empresa,$enlace);
	$row=0;
	while (mysql_fetch_object ($res_empresa))
		{
		$empresa_rut=mysql_result($res_empresa, $row, "rut_empresa");
		$empresa_rut = str_replace('.', '', $empresa_rut);
		$empresa_nombre=mysql_result($res_empresa, $row, "nombre");
		$empresa_direccion=mysql_result($res_empresa, $row, "direccion");
		$empresa_ciudad=mysql_result($res_empresa, $row, "ciudad");
		$empresa_comuna=mysql_result($res_empresa, $row, "comunas.comuna");
		$empresa_actividad=mysql_result($res_empresa, $row, "actividad");
		$empresa_acteco=mysql_result($res_empresa, $row, "acteco");
		$empresa_rut_representante=mysql_result($res_empresa, $row, "rut_representante");
		$empresa_nombre_representante=mysql_result($res_empresa, $row, "nombre_representante");
		$row=$row+1;
		}

$fecha = $fecha[6]."".$fecha[7]."".$fecha[8]."".$fecha[9]."-".$fecha[3]."".$fecha[4]."-".$fecha[0]."".$fecha[1];
$fecha2 = $fecha_ve;
$fecha2 = $fecha2[6]."".$fecha2[7]."".$fecha2[8]."".$fecha2[9]."-".$fecha2[3]."".$fecha2[4]."-".$fecha2[0]."".$fecha2[1];
$tipopago=2;
$txtiva5=0;
$rut = str_replace('.', '', $txtrut); 

//****  genera XML ******* 
$xml=new DomDocument("1.0", "UTF-8");

 $raiz=$xml->createElement("DTE");
 $raiz=$xml->appendChild($raiz); 
        $raiz->setAttribute("version", "1.0"); 
 
   $Documento=$xml->createElement("Documento");
    $Documento=$raiz->appendChild($Documento); 
        $Documento->setAttribute("ID", "DTE-".$tipodcto."-".$txtndcto); 

    $Encabezado=$xml->createElement("Encabezado");
    $Encabezado=$Documento->appendChild($Encabezado); 

 /*--IdDoc-------------------------*/ 
 $IdDoc=$xml->createElement("IdDoc");
 $IdDoc=$Encabezado->appendChild($IdDoc); 
 
 $TipoDTE=$xml->createElement("TipoDTE", $tipodcto);     //$lstdcto =33
 $TipoDTE=$IdDoc->appendChild($TipoDTE); 
 $Folio=$xml->createElement("Folio",$txtndcto);
 $Folio=$IdDoc->appendChild($Folio);
 $FchEmis=$xml->createElement("FchEmis", $fecha);
 $FchEmis=$IdDoc->appendChild($FchEmis); 
 $FmaPago=$xml->createElement("FmaPago", $tipopago);
 $FmaPago=$IdDoc->appendChild($FmaPago); 
 $FchVenc=$xml->createElement("FchVenc", $fecha2);
 $FchVenc=$IdDoc->appendChild($FchVenc); 
 
  /*--Emisor----------------------*/ 
  $Emisor=$xml->createElement("Emisor");
  $Emisor=$Encabezado->appendChild($Emisor);
   
  $RUTEmisor=$xml->createElement("RUTEmisor", $empresa_rut);
  $RUTEmisor=$Emisor->appendChild($RUTEmisor);
        $empresa_nombre = quitarEspecialesXML($empresa_nombre); 
  $RznSoc=$xml->createElement("RznSoc", $empresa_nombre);
  $RznSoc=$Emisor->appendChild($RznSoc); 
         $empresa_actividad = quitarEspecialesXML($empresa_actividad);  
  $GiroEmis=$xml->createElement("GiroEmis", $empresa_actividad);
  $GiroEmis=$Emisor->appendChild($GiroEmis); 
  $Acteco=$xml->createElement("Acteco", $empresa_acteco);
  $Acteco=$Emisor->appendChild($Acteco); 
          $empresa_direccion= quitarEspecialesXML($empresa_direccion); 
  $DirOrigen=$xml->createElement("DirOrigen", $empresa_direccion);
  $DirOrigen=$Emisor->appendChild($DirOrigen);
  	       $empresa_comuna = quitarEspecialesXML($empresa_comuna); 
  $CmnaOrigen=$xml->createElement("CmnaOrigen", $empresa_comuna);
  $CmnaOrigen=$Emisor->appendChild($CmnaOrigen);  
           $empresa_ciudad = quitarEspecialesXML($empresa_ciudad); 
  $CiudadOrigen=$xml->createElement("CiudadOrigen", $empresa_ciudad);
  $CiudadOrigen=$Emisor->appendChild($CiudadOrigen); 
  
  $dato_vendedor=$id_vendedor.' NV:'.$sqlnv_nv.' Ruta:'.$id_zona.' Pago:'. $condicion_pago;
		  $dato_vendedor=quitarEspecialesXML($dato_vendedor); 
  $CdgVendedor=$xml->createElement("CdgVendedor", substr($dato_vendedor,0,59));
  $CdgVendedor=$Emisor->appendChild($CdgVendedor); 


/*--Receptor----------------------*/ 
  $Receptor=$xml->createElement("Receptor");
  $Receptor=$Encabezado->appendChild($Receptor); 
  $RUTRecep=$xml->createElement("RUTRecep", $rut);
  $RUTRecep=$Receptor->appendChild($RUTRecep); 
         $txtrsoc = quitarEspecialesXML($txtrsoc); 
  $RznSocRecep=$xml->createElement("RznSocRecep", $txtrsoc);
  $RznSocRecep=$Receptor->appendChild($RznSocRecep); 
           $txtactividad = quitarEspecialesXML($txtactividad); 
  $GiroRecep=$xml->createElement("GiroRecep", substr($txtactividad,0,39));
  $GiroRecep=$Receptor->appendChild($GiroRecep); 
           $txtdireccion = quitarEspecialesXML($txtdireccion);
  $DirRecep=$xml->createElement("DirRecep", substr($txtdireccion,0,59));
  $DirRecep=$Receptor->appendChild($DirRecep); 
            $comuna = quitarEspecialesXML($comuna);
  $CmnaRecep=$xml->createElement("CmnaRecep", $comuna);
  $CmnaRecep=$Receptor->appendChild($CmnaRecep);
             $txtciudad = quitarEspecialesXML($txtciudad);  
  $CiudadRecep=$xml->createElement("CiudadRecep", $txtciudad);
  $CiudadRecep=$Receptor->appendChild($CiudadRecep);   

/*--Totales--------------------------*/ 
   $Totales=$xml->createElement("Totales");
   $Totales= $Encabezado->appendChild($Totales); 
   $MntNeto=$xml->createElement("MntNeto", $neto);
   $MntNeto=$Totales->appendChild($MntNeto);
   
   if ($exento>0) 
    {
   $MntExe=$xml->createElement("MntExe", $exento);
   $MntExe=$Totales->appendChild($MntExe);
    }
	$tasa_iva=19;
	if ($tipodcto!=34) 	
	{
    $TasaIVA=$xml->createElement("TasaIVA", $tasa_iva);
	$TasaIVA=$Totales->appendChild($TasaIVA); 
	}
   
	 $IVA=$xml->createElement("IVA", $iva);
	 $IVA=$Totales->appendChild($IVA); 

	if ($txtiva5>0) 
    {
	$ImptoReten=$xml->createElement("ImptoReten");
    $ImptoReten= $Totales->appendChild($ImptoReten); 
	
	$TipoImp=$xml->createElement("TipoImp", "18");
	 $TipoImp=$ImptoReten->appendChild($TipoImp); 
	
	$TasaImp=$xml->createElement("TasaImp", "5"); 
	 $TasaImp=$ImptoReten->appendChild($TasaImp); 
	 
	 $MontoImp=$xml->createElement("MontoImp", $txtiva5);
	 $MontoImp=$ImptoReten->appendChild($MontoImp); 
	 }

	$MntTotal=$xml->createElement("MntTotal", $total);
	$MntTotal=$Totales->appendChild($MntTotal);

/*--Detalles--------------------------*/ 

$cntcal=0;
while ($cntcal<$pnv_cont)
	{
	 $Detalle=$xml->createElement("Detalle");
     $Detalle= $Documento->appendChild($Detalle); 	
      
	   $NroLinDet=$xml->createElement("NroLinDet", $cntcal+1);
	   $NroLinDet=$Detalle->appendChild($NroLinDet);
	   
	  $CdgItem=$xml->createElement("CdgItem");
	   $CdgItem=$Detalle->appendChild($CdgItem);
	       $TpoCodigo=$xml->createElement("TpoCodigo","");
	        $TpoCodigo=$CdgItem->appendChild($TpoCodigo);
	   
	    $VlrCodigo=$xml->createElement("VlrCodigo", $cod_producto[$cntcal]);
	    $VlrCodigo=$CdgItem->appendChild($VlrCodigo);
	 
	 
     if ($afecto[$cntcal]=='0')
	 {
     $IndExe=$xml->createElement("IndExe", "1");
	 $IndExe=$Detalle->appendChild($IndExe);	
	 }
	      $deta = quitarEspecialesXML($detalle[$cntcal]);
		  
     $NmbItem=$xml->createElement("NmbItem", $deta );   
	 $NmbItem=$Detalle->appendChild($NmbItem);	
	//******** detalle extendido  para NC
	 $deta2 = $detalle_1[$cntcal];
	if ($cntcal+1==$pnv_cont) $deta2="Total Unidades:".$totalunidades."  Total kilos:".$totalkilos;
       $deta2 = quitarEspecialesXML($deta2);
     
	$DscItem=$xml->createElement("DscItem", $deta2 );   
	$DscItem=$Detalle->appendChild($DscItem);	
	
	if ($cantidad[$cntcal]!=0)
	 {
	 $QtyItem=$xml->createElement("QtyItem", $cantidad[$cntcal]);
	 $QtyItem=$Detalle->appendChild($QtyItem);	
	 }
	
	//******* unidad de medida  ***** UnmdItem 
	// $UnmdItem=$xml->createElement("UnmdItem", "Hora" );   
	// $UnmdItem=$Detalle->appendChild($UnmdItem);	
 
	 if ($precio[$cntcal]!=0)
	 {
	 $PrcItem=$xml->createElement("PrcItem", $precio[$cntcal]);
	 $PrcItem=$Detalle->appendChild($PrcItem);	
	 }
	 
	 $des = $desc[$cntcal];
 if ($des>0)
	 {
	 $DescuentoPct=$xml->createElement("DescuentoPct", $des );
	 $DescuentoPct=$Detalle->appendChild($DescuentoPct);	 
	 }
              $sub_1=$cantidad[$cntcal] * $precio[$cntcal];
			  if ($sub_1-intval($sub_1)>=.5) $sub_1=intval($sub_1)+1; else $sub_1=intval($sub_1);
	 $monto_des = $sub_1 - $sub_total[$cntcal];
         
 if ($monto_des>0)
	 {
	 $DescuentoMonto=$xml->createElement("DescuentoMonto", $monto_des );
	 $DescuentoMonto=$Detalle->appendChild($DescuentoMonto);	
	 }
	 $MontoItem=$xml->createElement("MontoItem", $sub_total[$cntcal]);
	 $MontoItem=$Detalle->appendChild($MontoItem);	
	 
   

	$cntcal+=1;
	}

// ***** descuento global *****
      if ($txtdes>0)
	 {
	 $DscRcgGlobal=$xml->createElement("DscRcgGlobal");
     $DscRcgGlobal= $Documento->appendChild($DscRcgGlobal); 	
      
	   $NroLinDR=$xml->createElement("NroLinDR", "1");
	   $NroLinDR=$DscRcgGlobal->appendChild($NroLinDR);
    
       $TpoMov=$xml->createElement("TpoMov", "D");
	   $TpoMov=$DscRcgGlobal->appendChild($TpoMov);
	     
		 if ($txtpor>0) 
		 {$signo="%";
		  $signo_valor=$txtpor;
		  }
		  else 
		  {$signo="$";
		  $signo_valor=$txtdes;
		  }
		 
	   $TpoValor=$xml->createElement("TpoValor", $signo);
	   $TpoValor=$DscRcgGlobal->appendChild($TpoValor);
	   
	   $ValorDR=$xml->createElement("ValorDR", $signo_valor);
	   $ValorDR=$DscRcgGlobal->appendChild($ValorDR);
	   }
      

// referencias
  if ($tiporef!='')
  {
  $Referencia=$xml->createElement("Referencia");
  $Referencia= $Documento->appendChild($Referencia); 	
      
	   $NroLinRef=$xml->createElement("NroLinRef", "1");
       $NroLinRef=$Referencia->appendChild($NroLinRef);
       $TpoDocRef=$xml->createElement("TpoDocRef", $tiporef);
	   $TpoDocRef=$Referencia->appendChild($TpoDocRef);	   
       $FolioRef=$xml->createElement("FolioRef", $folioref);          //$folioRef
	   $FolioRef=$Referencia->appendChild($FolioRef);	              
	  $FchRef=$xml->createElement("FchRef", $fecharef);                   //$fecharef
	   $FchRef=$Referencia->appendChild($FchRef); 
	 if ($codref!='' && $codref!='0')
	 {        
	  $CodRef=$xml->createElement("CodRef", $codref);
	  $CodRef=$Referencia->appendChild($CodRef);	   
	  }
	   $RazonRef=$xml->createElement("RazonRef", $razonref);
	  $RazonRef=$Referencia->appendChild($RazonRef);
   }
      if ($tiporef2!='')
  { 
	  $Referencia=$xml->createElement("Referencia");
      $Referencia= $Documento->appendChild($Referencia); 
       $NroLinRef=$xml->createElement("NroLinRef", "2");
       $NroLinRef=$Referencia->appendChild($NroLinRef);
       $TpoDocRef=$xml->createElement("TpoDocRef", $tiporef2);
	   $TpoDocRef=$Referencia->appendChild($TpoDocRef);	   
       $FolioRef=$xml->createElement("FolioRef", $folioref2);          
	   $FolioRef=$Referencia->appendChild($FolioRef);	
	   
	    $fecharef2 = $fecharef2[6]."".$fecharef2[7]."".$fecharef2[8]."".$fecharef2[9]."-".$fecharef2[3]."".$fecharef2[4]."-".$fecharef2[0]."".$fecharef2[1];
	   
	                 
	  $FchRef=$xml->createElement("FchRef", $fecharef2);                  
	   $FchRef=$Referencia->appendChild($FchRef);       
	  $CodRef=$xml->createElement("CodRef", $codref2);
	  $CodRef=$Referencia->appendChild($CodRef);	   
	   $RazonRef=$xml->createElement("RazonRef", $razonref2);
	  $RazonRef=$Referencia->appendChild($RazonRef);
    }
// adjuntos

 //  $Adjuntos=$xml->createElement("Adjuntos");
  // $Adjuntos= $Documento->appendChild($Adjuntos); 	
    //   $Observacion=$xml->createElement("Observacion", $totalkilos);CASO  316414-1
	 //  $Observacion=$Adjuntos->appendChild($Observacion);
     //  $Observacion=$xml->createElement("Observacion", $obs1);
	  // $Observacion=$Adjuntos->appendChild($Observacion);
	   
/*guardar xml--------------------------------*/ 
$archivo_ini="DOC_".$tipodcto."_".$txtndcto.".xml";
    if ($archivo_acum!='') $archivo_acum=$archivo_acum."|".$archivo_ini; else $archivo_acum=$archivo_ini;

$archivo="./DOC_ENVIA/".$archivo_ini;

 $xml->formatOut=true;
 $strings_xml=$xml->saveXML(); 

if($xml->save($archivo))
  {
 //subirArchivo(realpath($archivo));	// cargar archivo
	echo "Termino de crear el Original:".$archivo;
  }
   else 
  {
	echo "No pudimos guardar el ".$archivo;
  }
  

//*************  si documento_control esta facturado es >0
   }
//*************  fin  if verdadero	 
  }
 //&&&&&&&&&&&&&& fin ciclo por todas
  
   $notas+= 1;
     }
echo "Archivo Acum" . $archivo_acum;
////$archivo_acum="./DOC_ENVIA/".$archivo_acum;
	 
//**** aqui debemos enviar a SII el arreglo o string	


?>
  <table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
<td width="10%" align="center">	<input type="button" name="SII" value="SII" onClick="fun_sii('<?= $archivo_acum?>');"></td>
<td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();"></td>
	</tr>
</table>
</form>
<?

 


//**************   fin   *******
	function quitarEspecialesXML($sCad)
      {
         $sCad=str_replace("&","&amp;",$sCad);
         $sCad=str_replace("<","&lt;",$sCad);
         $sCad=str_replace(">","&gt;",$sCad);
         $sCad=str_replace('"',"&#34;",$sCad);
        $sCad=str_replace("'","&#39;",$sCad);
         return $sCad;
      }

/**
* Sube archivo usando cURL
* Pasa archivo por POST y lo recibe la variable global $_FILE.
* 
* La funcion retornará 0 o 1 desde el archivo receptor si:
* 0: La carga se ha completado
* 1: Se produjo algun error.
*/
function subirArchivo($nombreArchivo)
    {
	$handle = curl_init();
	curl_setopt($handle, CURLOPT_POST, true);
	curl_setopt($handle, CURLOPT_POSTFIELDS, array('file' => '@'.$nombreArchivo));
	
	curl_setopt($handle, CURLOPT_URL, 'http://192.168.0.18/vilca.cl/LibFE/envia_sii_lote.php');
	
	curl_exec($handle);
	curl_close($handle);
    }
 
	?>


<script>

function fun_sii(id_nota)
	   {
	   var id_not=id_nota;
document.form1.action="http://192.168.0.18/vilca.cl/LibFE/firmarDTE/FirmaEmpaquetaEnviaPdf.php?documento="+id_not;
	    document.form1.target="_blank";
		document.form1.submit();
	    }

function fun_salir()
	{
	
	alert ("Fin factura por lote  <?=$archivo_acum;?> ");
	window.top.open('','_parent','');window.top.close();
	}
</script>


